# mpi4py.MPI.Distgraphcomm

class mpi4py.MPI.Distgraphcomm

  Bases: `Topocomm`

  Distributed graph topology intracommunicator.

  static __new__(cls, comm=None)
    Parameters:

      comm (Distgraphcomm | None)

    Return type:

      Self

  Methods Summary

  `Get_dist_neighbors`() | Return adjacency information for a distributed graph topology.
  `Get_dist_neighbors_count`() | Return adjacency information for a distributed graph topology.

  Methods Documentation

  Get_dist_neighbors()

    Return adjacency information for a distributed graph topology.

    Return type:

      tuple[list[int], list[int], tuple[list[int], list[int]] | None]

  Get_dist_neighbors_count()

    Return adjacency information for a distributed graph topology.

    Return type:

      int